Bug 54389 - --help: descriptions of --*-version=... don't follow the source code
Summary: --help: descriptions of --*-version=... don't follow the source code
Status: RESOLVED FIXED
Alias: None
Product: pkg-config
Classification: Unclassified
Component: src (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Tollef Fog Heen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-02 12:46 UTC by Michał Górny
Modified: 2012-12-11 22:09 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny 2012-09-02 12:46:51 UTC
$ pkg-config --help
[...]
  --atleast-version=VERSION               return 0 if the module is at least version VERSION
  --exact-version=VERSION                 return 0 if the module is at exactly version VERSION
  --max-version=VERSION                   return 0 if the module is at no newer than version VERSION

While the source code states that it causes the version requirement in read packages to be replaced with the given one instead:

        if (required_exact_version)
          {
            g_free (ver->version);
            ver->comparison = EQUAL;
            ver->version = g_strdup (required_exact_version);
          }

Although the return value usually will be a side-effect of this change, the description suggests that it implies behavior like '--exists'.
Comment 1 Dan Nicholson 2012-12-11 22:09:15 UTC
Fixed in commit 548ba5b. Thanks for the report.


bug/show.html.tmpl processed on Dec 08, 2016 at 09:48:42.
(provided by the Example extension).